Bug 1008139 - rmlist fails if list_data_dir is not a child of var_prefix
Summary: rmlist fails if list_data_dir is not a child of var_prefix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mailman
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-15 07:04 UTC by Nic Waller
Modified: 2015-07-22 07:41 UTC (History)
2 users (show)

Fixed In Version: mailman-2.1.12-20.el6
Doc Type: Bug Fix
Doc Text:
The "rmlist" command used a hardcoded path to list data based on the VAR_PREFIX configuration variable. As a consequence, when the list was created outside of VAR_PREFIX, it was impossible to remove it using the "rmlist" command. With this update, the "rmlist" command uses the correct LIST_DATA_DIR value instead of VAR_PREFIX, and it is now possible to remove the list in described situation.
Clone Of:
Environment:
Last Closed: 2015-07-22 07:41:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1417 normal SHIPPED_LIVE Moderate: mailman security and bug fix update 2015-07-20 18:06:40 UTC

Description Nic Waller 2013-09-15 07:04:06 UTC
Description of problem:
Using the command "rmlist" will fail if list_data_dir is not a child of var_prefix. The default settings satisfy this requirement, but a user who sets a custom value for list_data_dir in their mm_cfg.py will likely run into this problem.


Version-Release number of selected component (if applicable):
Mailman 2.1.12-18.el6


How reproducible: Deterministic.


Steps to Reproduce:
1. Modify mm_cfg.py. Set VAR_PREFIX  = '/srv/mm_var'
2. Create a new mailing list (bin/newlist)
3. Attempt to remove the mailing list (bin/rmlist)


Actual results:
# rmlist -a test6
test6 list info not found as /srv/mm_var/lists/test6


Expected results:
# rmlist -a test8
Removing list info


Additional info:
When a new list is created, the path is obtained by using get_listpath() in Mailman/Site.py. The correct behaviour is shown here.
    def get_listpath(listname, domain=None, create=0):
        path = os.path.join(mm_cfg.LIST_DATA_DIR, listname)

However, the version of rmlist provided with RHEL uses "lists" as a hardcoded string and joins it with VAR_PREFIX.
        REMOVABLES = [
            (os.path.join('lists', listname), C_('list info')),
            ]

    for dirtmpl, msg in REMOVABLES:
        dir = os.path.join(mm_cfg.VAR_PREFIX, dirtmpl)
        remove_it(listname, dir, msg)

Comment 2 Jan Kaluža 2013-09-16 08:01:05 UTC
Thanks for the report. This can be fixed by following upstream patch:

http://bazaar.launchpad.net/~mailman-coders/mailman/2.1/revision/1273

Comment 3 RHEL Product and Program Management 2013-10-13 23:10:24 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 11 Alois Mahdal 2015-05-11 08:03:25 UTC
Verified on all supported architectures

Comment 12 errata-xmlrpc 2015-07-22 07:41:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1417.html


Note You need to log in before you can comment on or make changes to this bug.